# Couenne::exprUBSin Class Reference

class to compute lower bound of a sine based on the bounds on its arguments More...

`#include <CouenneExprBSin.hpp>`

Inheritance diagram for Couenne::exprUBSin:

List of all members.

## Public Member Functions
| exprUBSin (expression *lb, expression *ub)
| Constructors, destructor.
expression * | clone (Domain *d=NULL) const
| cloning method
CouNumber | operator() ()
| function for the evaluation of the expression
std::string | printOp () const
| print operator
enum pos | printPos () const
| print position (PRE, INSIDE, POST)

## Detailed Description

class to compute lower bound of a sine based on the bounds on its arguments

Definition at line 80 of file CouenneExprBSin.hpp.

## Constructor & Destructor Documentation

Couenne::exprUBSin::exprUBSin | ( | expression * | lb,
|  | expression * | ub |
| ) |  |  | `[inline]`

Constructors, destructor.

Definition at line 85 of file CouenneExprBSin.hpp.

References Couenne::exprOp::arglist_.

Referenced by clone().

## Member Function Documentation

expression* Couenne::exprUBSin::clone | ( | Domain * | d = `NULL` | ) | const`[inline, virtual]`

cloning method

Reimplemented from Couenne::expression.

Definition at line 92 of file CouenneExprBSin.hpp.

References Couenne::exprOp::arglist_, and exprUBSin().

CouNumber Couenne::exprUBSin::operator() | ( |  | ) | `[inline, virtual]`

function for the evaluation of the expression

compute sum

Implements Couenne::expression.

Definition at line 111 of file CouenneExprBSin.hpp.

References Couenne::exprOp::arglist_, M_PI, and Couenne::sin().

std::string Couenne::exprUBSin::printOp | ( |  | ) | const`[inline, virtual]`

print operator

Reimplemented from Couenne::exprOp.

Definition at line 100 of file CouenneExprBSin.hpp.

enum pos Couenne::exprUBSin::printPos | ( |  | ) | const`[inline, virtual]`

print position (PRE, INSIDE, POST)

Reimplemented from Couenne::exprOp.

Definition at line 104 of file CouenneExprBSin.hpp.

References Couenne::PRE.

The documentation for this class was generated from the following file:

- CouenneExprBSin.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines